package com.njcn.pojo.commons.device;

import com.njcn.pojo.configuration.Line;

import javax.persistence.Column;
import java.io.Serializable;

public class LineDetailInfo extends Line implements Serializable{
	private Integer ptType;
	private Integer tinterval;
	private String loadType;
	private String businessType;
	private Integer powerId;
	private String remark;
	private String monitorId;
	private float voltageDev;//电压上偏差
	private float uvoltageDev;//电压下偏差
	private String objName; //对象名称
	private Integer statFlag;
	private String powerSubstationName;//电网侧变电站名称
	//分类等级 内容为Ⅰ、Ⅱ、Ⅲ、Ⅳ
	private String calssificationGrade;

	//上级电站
	private String superiorsSubstation;

	//挂接线路
	private String hangLine;

	//监测点拥有者
	private String owner;

	//拥有者职务
	private String ownerDuty;

	//拥有者联系方式
	private String ownerTel;

	//接线图
	private String wiringDiagram;
	//是否并网点
	private Integer isGridPoint;


	public Integer getIsGridPoint() {
		return isGridPoint;
	}

	public void setIsGridPoint(Integer isGridPoint) {
		this.isGridPoint = isGridPoint;
	}

	public Integer getPtType() {
		return ptType;
	}
	public void setPtType(Integer ptType) {
		this.ptType = ptType;
	}
	public Integer getTinterval() {
		return tinterval;
	}
	public void setTinterval(Integer tinterval) {
		this.tinterval = tinterval;
	}
	public String getLoadType() {
		return loadType;
	}
	public void setLoadType(String loadType) {
		this.loadType = loadType;
	}
	public String getBusinessType() {
		return businessType;
	}
	public void setBusinessType(String businessType) {
		this.businessType = businessType;
	}
	public Integer getPowerId() {
		return powerId;
	}
	public void setPowerId(Integer powerId) {
		this.powerId = powerId;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getMonitorId() {
		return monitorId;
	}
	public void setMonitorId(String monitorId) {
		this.monitorId = monitorId;
	}
	public float getVoltageDev() {
		return voltageDev;
	}
	public void setVoltageDev(float voltageDev) {
		this.voltageDev = voltageDev;
	}
	public float getUvoltageDev() {
		return uvoltageDev;
	}
	public void setUvoltageDev(float uvoltageDev) {
		this.uvoltageDev = uvoltageDev;
	}

	public String getObjName() {
		return objName;
	}

	public void setObjName(String objName) {
		this.objName = objName;
	}

	public Integer getStatFlag() {
		return statFlag;
	}

	public void setStatFlag(Integer statFlag) {
		this.statFlag = statFlag;
	}

	public String getPowerSubstationName() {
		return powerSubstationName;
	}

	public void setPowerSubstationName(String powerSubstationName) {
		this.powerSubstationName = powerSubstationName;
	}

	public String getCalssificationGrade() {
		return calssificationGrade;
	}

	public void setCalssificationGrade(String calssificationGrade) {
		this.calssificationGrade = calssificationGrade;
	}

	public String getSuperiorsSubstation() {
		return superiorsSubstation;
	}

	public void setSuperiorsSubstation(String superiorsSubstation) {
		this.superiorsSubstation = superiorsSubstation;
	}

	public String getHangLine() {
		return hangLine;
	}

	public void setHangLine(String hangLine) {
		this.hangLine = hangLine;
	}

	public String getOwner() {
		return owner;
	}

	public void setOwner(String owner) {
		this.owner = owner;
	}

	public String getOwnerDuty() {
		return ownerDuty;
	}

	public void setOwnerDuty(String ownerDuty) {
		this.ownerDuty = ownerDuty;
	}

	public String getOwnerTel() {
		return ownerTel;
	}

	public void setOwnerTel(String ownerTel) {
		this.ownerTel = ownerTel;
	}

	public String getWiringDiagram() {
		return wiringDiagram;
	}

	public void setWiringDiagram(String wiringDiagram) {
		this.wiringDiagram = wiringDiagram;
	}
}
